uuid: 1559c8e2-6dc0-455c-834f-7267b6b1c9f9
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
id: rgp_cooker_default_view
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: cookers
label: 'Import fields into default view mode'
source:
  plugin: url
  data_fetcher_plugin: http
  data_parser_plugin: json
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetRMCookerAttributes'
  item_selector: data
  track_changes: true
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: code
      label: 'Machine name'
      selector: code
    -
      name: label
      label: Name
      selector: label
    -
      name: type
      label: Type
      selector: type
    -
      name: group_id
      label: Group
      selector: group_id
    -
      name: description
      label: Group
      selector: description
  ids:
    code:
      type: string
  constants:
    entity_type: commerce_product_variation
    bundle: default
    view_mode: default
    options:
      label: hidden
process:
  machine_code:
    -
      plugin: machine_name
      source: code
    -
      plugin: substr
      start: 0
      length: 32
  entity_type: constants/entity_type
  bundle: constants/bundle
  view_mode: constants/view_mode
  field_name:
    plugin: default_value
    source: '@machine_code'
  options: constants/options
destination:
  plugin: component_entity_display
  overwrite_properties:
    - field_name
    - view_mode
    - options
migration_dependencies:
  required:
    - rgp_cooker_field_instance
